function [alpha, beta, gamma] = tridiag_factor(a, b, c)

n = length(a);

alpha = zeros(n,1);
beta  = zeros(n,1);
gamma = zeros(n,1);

alpha(1) = a(1);
beta     = b;

for i=2:n
   gamma(i) = c(i)/alpha(i-1);
   alpha(i) = a(i) - gamma(i)*beta(i-1);
end

gamma(1) = inf;
